Skip to content
Proud to collaborate with Microsoft for Startups

docusign.envelope-transfer-rules.put-envelope-transfer-rules ​

This method changes the status for one or more envelope transfer rules based on the envelopeTransferRuleIds in the request body. You use this method to change whether or not the rules are enabled. Note: You cannot change any other information about the envelope transfer rule. Only Administrators can update envelope transfer rules. In addition, to use envelope transfer rules, the Transfer Custody feature must be enabled for your account.

Changes the status of multiple envelope transfer rules.

Overview ​

PropertyValue
Workflow typeAtomic
LibraryApp-docusign
Version1.0

Input Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Docusign API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
accountidstringYes—The external account number (int) or account ID GUID.
endpositionstringNo—The last index position in the result set.
envelopetransferruleslistNo—Contains information about a specific envelope transfer rule.
nexturistringNo—The URI for the next chunk of records based on the search request. It is null if this is the last set of results for the search.
previousuristringNo—The URI for the prior chunk of records based on the search request. It is null if this is the first set of results for the search.
resultsetsizestringNo—The number of results in this response. Because you can filter which entries are included in the response, this value is always less than or equal to the totalSetSize.
startpositionstringNo—The starting index position of the current result set.
totalsetsizestringNo—The total number of items in the result set. This value is always greater than or equal to the value of resultSetSize.

Output Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Docusign API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
accountidstringYes—The external account number (int) or account ID GUID.
endpositionstringNo—The last index position in the result set.
envelopetransferruleslistNo—Contains information about a specific envelope transfer rule.
nexturistringNo—The URI for the next chunk of records based on the search request. It is null if this is the last set of results for the search.
previousuristringNo—The URI for the prior chunk of records based on the search request. It is null if this is the first set of results for the search.
resultsetsizestringNo—The number of results in this response. Because you can filter which entries are included in the response, this value is always less than or equal to the totalSetSize.
startpositionstringNo—The starting index position of the current result set.
totalsetsizestringNo—The total number of items in the result set. This value is always greater than or equal to the value of resultSetSize.
status_codeintegerNo—HTTP status code of the completed call
responsejsonNo—Parsed JSON response body
failure_reasonstringNo——
failure_typestringNo——
failed_atstringNo——
failed_stepstringNo——
failed_layerstringNo——
failed_at_statestringNo——
errorstringNo——
error_typestringNo——

States ​

StateInitialTerminalSuccessAuto-advanceDescription
pendingYesNo—executeWaiting to call PUT /v2.1/accounts/{accountId}/envelopes/transfer_rules
completedNoYesYes—HTTP call succeeded
failedNoYesNo—HTTP call failed

State Diagram ​

Transitions ​

FromActionToDescription
pendingexecutecompletedPerform PUT /v2.1/accounts/{accountId}/envelopes/transfer_rules
* (any state)failfailedRecord the failure reason

API Usage ​

bash
POST /api/workflows/start
Content-Type: application/json

{
  "workflow_type": "docusign.envelope-transfer-rules.put-envelope-transfer-rules",
  "initial_data": {
    "base_url": "value",
    "accountid": "value"
  }
}